petsc-3.12.4 2020-02-04
Report Typos and Errors

# PetscHMapTGetVals

Get all values from a hash table

### Synopsis

    #include <petsc/private/hashmap.h>
    PetscErrorCode PetscHMapTGetVals(PetscHMapT ht,PetscInt *off,ValType array[])

### Input Parameters

| ht | - The hash table
| off | - Input offset in array (usually zero)
| array | - Array where to put hash table values into

### Output Parameter

| off | - Output offset in array (output offset = input offset + hash table size)
| array | - Array filled with the hash table values

### See Also

PetscHSetTGetSize(), PetscHMapTGetKeys()

### Level

developer

### Location

include/petsc/private/hashmap.h
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages